#import <appkit/appkit.h>
#import "GBSpeaker.h"
#import <mach.h>
#import <sys/message.h>
#import <servers/netname.h>
extern port_t name_server_port;
extern id NXResponsibleDelegate();
@implementation  GBSpeaker :Speaker
{}
-(int)gbAddUser : (int *) uNum
	userName : (char *) uName
	onHost : (char *) hName
	portNamed : (char *) pName
/* */
{
return [self selectorRPC:"gbAddUser:userName:onHost:portNamed:"
	paramTypes:"Iccc",
		uNum,
		uName,
		hName,
		pName];
}
-(int)gbUserAdded : (int) uNum
	userName : (char *) uName
	onHost : (char *) hName
/* */
{
return [self selectorRPC:"gbUserAdded:userName:onHost:"
	paramTypes:"icc",
		uNum,
		uName,
		hName];
}
-(int)gbDropMe : (int) uNum
/* */
{
return [self selectorRPC:"gbDropMe:"
	paramTypes:"i",
		uNum];
}
-(int)gbSendServerAll
/* */
{
return [self selectorRPC:"gbSendServerAll"
	paramTypes:""];
}
-(int)gbUser : (int) myNum
	allObjectsInArchive : (char *) data
	length : (int) len
/* */
{
return [self selectorRPC:"gbUser:allObjectsInArchive:length:"
	paramTypes:"ib",
		myNum,
		data,
		len];
}
-(int)gbUserRequestMarker : (int) uNum
/* */
{
return [self selectorRPC:"gbUserRequestMarker:"
	paramTypes:"i",
		uNum];
}
-(int)gbUser : (int) myNum
	giveMarkerTo : (int) uNum
/* */
{
return [self selectorRPC:"gbUser:giveMarkerTo:"
	paramTypes:"ii",
		myNum,
		uNum];
}
-(int)gbUserGivesUpMarker : (int) uNum
/* */
{
return [self selectorRPC:"gbUserGivesUpMarker:"
	paramTypes:"i",
		uNum];
}
-(int)gbUser : (int) myNum
	addObjectFromArchive : (char *) data
	length : (int) len
/* */
{
return [self selectorRPC:"gbUser:addObjectFromArchive:length:"
	paramTypes:"ib",
		myNum,
		data,
		len];
}
-(int)gbUser : (int) myNum
	insertObjectFromArchive : (char *) data
	length : (int) len
	at : (int) listNum
/* */
{
return [self selectorRPC:"gbUser:insertObjectFromArchive:length:at:"
	paramTypes:"ibi",
		myNum,
		data,
		len,
		listNum];
}
-(int)gbUser : (int) myNum
	removeObjectAt : (int) listNum
/* */
{
return [self selectorRPC:"gbUser:removeObjectAt:"
	paramTypes:"ii",
		myNum,
		listNum];
}
-(int)gbUser : (int) myNum
	replaceObjectAt : (int) listNum
	withArchive : (char *) data
	length : (int) len
/* */
{
return [self selectorRPC:"gbUser:replaceObjectAt:withArchive:length:"
	paramTypes:"iib",
		myNum,
		listNum,
		data,
		len];
}
-(int)gbUser : (int) myNum
	moveObjectFrom : (int) listNum
	toPosition : (int) destNum
/* */
{
return [self selectorRPC:"gbUser:moveObjectFrom:toPosition:"
	paramTypes:"iii",
		myNum,
		listNum,
		destNum];
}
-(int)gbUserRecacheSelection : (int) myNum
/* */
{
return [self selectorRPC:"gbUserRecacheSelection:"
	paramTypes:"i",
		myNum];
}
-(int)gbUserGetSelection : (int) myNum
/* */
{
return [self selectorRPC:"gbUserGetSelection:"
	paramTypes:"i",
		myNum];
}
-(int)gbUserCacheSelection : (int) myNum
/* */
{
return [self selectorRPC:"gbUserCacheSelection:"
	paramTypes:"i",
		myNum];
}
-(int)gbUserCacheGraphic : (int) myNum
/* */
{
return [self selectorRPC:"gbUserCacheGraphic:"
	paramTypes:"i",
		myNum];
}
-(int)gbUser : (int) myNum
	insertGraphic : (char *) data
	length : (int) len
/* */
{
return [self selectorRPC:"gbUser:insertGraphic:length:"
	paramTypes:"ib",
		myNum,
		data,
		len];
}
-(int)gbUser : (int) myNum
	selectObjectAt : (int) listNum
/* */
{
return [self selectorRPC:"gbUser:selectObjectAt:"
	paramTypes:"ii",
		myNum,
		listNum];
}
-(int)gbUser : (int) myNum
	deselectObjectAt : (int) listNum
/* */
{
return [self selectorRPC:"gbUser:deselectObjectAt:"
	paramTypes:"ii",
		myNum,
		listNum];
}
-(int)gbUser : (int) myNum
	changeBounds : (int) listNum
	to : (char *) data
	length : (int) len
/* */
{
return [self selectorRPC:"gbUser:changeBounds:to:length:"
	paramTypes:"iib",
		myNum,
		listNum,
		data,
		len];
}
-(int)gbUserDelete : (int) myNum
/* */
{
return [self selectorRPC:"gbUserDelete:"
	paramTypes:"i",
		myNum];
}
-(int)gbUserSelectAll : (int) myNum
/* */
{
return [self selectorRPC:"gbUserSelectAll:"
	paramTypes:"i",
		myNum];
}
-(int)gbUserDeselectAll : (int) myNum
/* */
{
return [self selectorRPC:"gbUserDeselectAll:"
	paramTypes:"i",
		myNum];
}
-(int)gbUserBringToFront : (int) myNum
/* */
{
return [self selectorRPC:"gbUserBringToFront:"
	paramTypes:"i",
		myNum];
}
-(int)gbUserSendToBack : (int) myNum
/* */
{
return [self selectorRPC:"gbUserSendToBack:"
	paramTypes:"i",
		myNum];
}
-(int)gbUserGroup : (int) myNum
/* */
{
return [self selectorRPC:"gbUserGroup:"
	paramTypes:"i",
		myNum];
}
-(int)gbUserUnGroup : (int) myNum
/* */
{
return [self selectorRPC:"gbUserUnGroup:"
	paramTypes:"i",
		myNum];
}
-(int)gbUser : (int) myNum
	graphicsPerform : (int) aSelector
	andDraw : (int) flag
/* */
{
return [self selectorRPC:"gbUser:graphicsPerform:andDraw:"
	paramTypes:"iii",
		myNum,
		aSelector,
		flag];
}
-(int)gbUser : (int) myNum
	graphicsPerform : (int) aSelector
	with : (char *) argument
	length : (int) len
	andDraw : (int) flag
/* */
{
return [self selectorRPC:"gbUser:graphicsPerform:with:length:andDraw:"
	paramTypes:"iibi",
		myNum,
		aSelector,
		argument,
		len,
		flag];
}
@end
